<?
if ($imgc = @imagecreatefromstring(file_get_contents($_FILES['file']['tmp_name'])))
{
  if (imagesx($imgc) > 200 || imagesy($imgc) > 200)
  {
    $img_x = imagesx($imgc);
    $img_y = imagesy($imgc);
    
    if ($img_x == $img_y)
    {
      $dstW = 200; // ширина
      $dstH = 200; // высота 
    }
    elseif ($img_x > $img_y)
    {
      $prop = $img_x / $img_y;
      $dstW = 200;
      $dstH = ceil($dstW / $prop);
    }
    else
    {
      $prop = $img_y / $img_x;
      $dstH = 200;
      $dstW = ceil($dstH / $prop);
    }

    $screen = imagecreatetruecolor($dstW, $dstH);
    imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
    imagedestroy($imgc);
    
    @chmod(ROOT.'_images/avatar/' . $user['id'] . '.png', 0777);
    @unlink(ROOT.'_images/avatar/' . $user['id'] . '.png');
    
    imagejpeg($screen, ROOT.'_images/avatar/' . $user['id'] . '.png', 100);
    
    
    @chmod(ROOT.'_images/avatar/' . $user['id'] . '.png',0777);
    imagedestroy($screen);
  }
  else
  {
    copy($_FILES['file']['tmp_name'], ROOT.'_images/avatar/' . $user['id'] . '.png');
  }

  $messages[] = 'Аватар успешно установлен';
}

$system['title'] = 'Установить аватар';
require SYS . 'header.php';
?>

<div class="nav1">
<?= avatar($user['id'])?><br />
  <form action="?func=user.avatar&amp;upload" method="POST" enctype="multipart/form-data">
    <fieldset>
      <label>Выбирете файл (jpg; png; gif)</label>
      <input type="file" name="file"> <button type="submit" class="btn">Загрузить</button>
    </fieldset>
  </form>
</div>